{% extends "base.html" %}

{% blick title %} Update Event {% endblock %}

{% block content %}
	{% if user.is_anonymous == False %}
		<div class="container">
			<div class="row">
				<div class="col-6 offset-3">
					<h1 class="text-center mt-3">Update Event</h1>

					{% if error == True%}
						<p>Event not found</p>
					{% endif%}
					<form action="{% url 'todolist:update_event' eventitem_id %}" method="post">

                        {% csrf_token %}

                        <div class="mb-3">
                            <label for="name">Task Name: </label>
                            <input class="form-control" id="event_name" type="text" name="name" value="{{ name }}" maxlength="50" required>
                        </div>

                        <div class="mb-3">
                            <label for="description">Description: </label>
                            <textarea class="form-control" name="description" required>{{ description }}</textarea>
                        </div>

                        <div class="mb-3">
                            <label for="status">Status: </label>
                            <input class="form-control" id="status" type="text" name="status" value="{{ status }}" maxlength="50" required>
                        </div>

                        <div class="text-center">
                            <input class="btn btn-success" type="submit" value="Update Event">
                        </div>

                    </form>
				</div>
			</div>
		</div>
	{% endif %}

{% endblock %}